using gcc-4.3.2-2: gcc-4 -shared-libgcc

Dave Korn dave.korn.cygwin@googlemail.com
Sun Mar 15 14:36:00 GMT 2009


Marco Atzeri wrote:

> I found a case where 
> 
>    CC="gcc-4 -shared-libgcc"
> 
> is absolutely needed 

> I suppose it is an exception handling issues, and it 

  Yes, anything that throws exceptions will need this.

  I have come to the conclusion that it was probably a mistake on my part not
to make shared libgcc default in this release.  I will probably do a fairly
rapid re-release to change this.  (Might move to 4.3.3 while I'm doing it, and
should I make -4 the default?)

    cheers,
      DaveK


--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/



More information about the Cygwin mailing list